"""
MetaLattice package setup file.
"""
import sys
sys.path.insert(0, ".") # to import versioneer

import setuptools
import versioneer

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="metalattice",
    version=versioneer.get_version(),
    cmdclass=versioneer.get_cmdclass(),
    author="Lihao HUANG",
    author_email="huang-lihao@outlook.com",
    description="A python FEM package to model lattice metamaterials.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/huang-lihao/MetaLattice",
    project_urls={
        "Bug Tracker": "https://github.com/huang-lihao/MetaLattice/issues",
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    package_dir={"": "src"},
    packages=setuptools.find_packages(where="src"),
    python_requires=">=3.6",
)